Bug 567201 - Do not change default grub.conf entry - if the default is not a Linux kernel
Do not change default grub.conf entry - if the default is not a Linux kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-22 02:58 EST by Yaniv Kaul
Modified: 2013-07-03 21:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:31:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2010-02-22 02:58:37 EST
Description of problem:
(I'm not sure I'm opening the bug on the right component).
In my grub.conf, the default entry is not to boot a Linux kernel but a different OS (I have dual-boot computer). However, after every kernel update, the default is changed - to the new kernel. This is understandable it the previous default was an older Linux kernel, but this is not the case here - it's actually a different OS.

Version-Release number of selected component (if applicable):
F12

How reproducible:
Always

Steps to Reproduce:
1. Have the default boot entry in grub.conf point to a non-Linux boot
2. Update the kernel.
3.
  
Actual results:
The default in grub.conf changes to the new kernel.

Expected results:
Should not change the default in grub.conf

Additional info:
Comment 1 Bug Zapper 2010-11-03 17:36:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Yaniv Kaul 2010-11-04 01:20:57 EDT
AFAIK, the bug is still relevant.
Comment 3 Vic 2010-11-10 16:04:59 EST
This bug is certainly in Fedora 13.

This is a potential show-stopper: I'm managing to get some customers interested in dual-booting as a prelude to weaning them away from Windows. This sort of bug means they just remove Fedora completely.

Please do not ignore this bug. I will refile it against F13 if necessary (and F14, ...)

Vic.
Comment 4 Bug Zapper 2010-12-03 17:31:01 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Yaniv Kaul 2010-12-04 01:59:46 EST
Also happened in F13, and I expect the next kernel update in F14 to do the same.

Note You need to log in before you can comment on or make changes to this bug.